4

This question already has an answer here:

i get an error when i update my ubuntu 14.10

this is an error :

Err http://ppa.launchpad.net utopic/main amd64 Packages                        
  404  Not Found
Err http://ppa.launchpad.net utopic/main i386 Packages                         
  404  Not Found
Ign http://kambing.ui.ac.id trusty/universe Translation-en_US                  
Fetched 22,6 MB in 4min 12s (89,5 kB/s)                                        
W: Failed to fetch http://ppa.launchpad.net/tualatrix/ppa/ubuntu/dists/utopic/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/tualatrix/ppa/ubuntu/dists/utopic/main/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

what should i do fix that error ?

marked as duplicate by muru, karel, Anwar, Eric Carvalho, Charles Green Nov 13 '14 at 0:09

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

7

I also have (and had) many of these same problems. When you upgrade to a new distribution or install the latest one, not all developers have produced a working application for that version. APT automagically looks for the version name folder on the PPA source in your Software Sources.

In your case, 14.04 and 14.10 are similar enough that applications are likely to work on either one. (I've tested myself, they are plenty similar.)

To make this source update from 14.04 (Trusty) you can just open your Software & Updates application, switch tabs to Other Software, and look for the checked entry containing ppa.launchpad.net/tualatrix/ppa/ubuntu/dists/utopic/main.

Once you find it, you can select it, edit it, and change the Distribution field to "trusty". (no quotations) To finish up just run sudo apt-get update again.

I recommend checking back with the developer's page to see if they have updated their software to 14.10, if so, just go back into the Software Sources and set the distribution back to "utopic".

  • 2
    This is correct and this can be easily confirmed by navigating in your browser to url that gives you the error (ppa.launchpad.net/tualatrix/ppa/ubuntu/dists). As you can see, there is no utopic subdirectory. – BostonHiker Nov 12 '14 at 3:56
  • This helped a lot thanks. Now I have no errors when I run sudo pat-get update – smac89 Jan 2 '15 at 7:09
  • @Smac89 [Teasing] I can't believe you would have no errors running sudo pat-get update! Would you share that custom aptitude install With me? ;) – Robobenklein Jan 2 '15 at 17:09
  • @robobenklein haha lol it was late and I was just trying to type something before hitting the sack – smac89 Jan 2 '15 at 21:08
  • When I try doing that (to install MongoDB), Ubuntu crashes when I hit "Ok" after changing utopic to trusty. – Dielson Sales Apr 18 '15 at 4:32

Not the answer you're looking for? Browse other questions tagged or ask your own question.